Subject: [PATCH v4 5/8] mmc: sdhci-bcm-kona: Add basic use of clocks

From: [email-masked] (Matt Porter)
Date: Mon, 24 Feb 2014 14:33:01 -0500

[trimmed cc]

On Fri, Jan 24, 2014 at 09:07:24AM -0800, Tim Kryger wrote:
> On Tue, Jan 7, 2014 at 11:37 AM, Tim Kryger <[email-masked]> wrote:
> > On Sat, Dec 14, 2013 at 12:14 AM, Christian Daudt <[email-masked]> wrote:
> >> On Thu, Dec 5, 2013 at 11:20 AM, Tim Kryger <[email-masked]> wrote:
> >>> Enable the external clock needed by the host controller during the
> >>> probe and disable it during the remove.
> >>>
> >>> Signed-off-by: Tim Kryger <[email-masked]>
> >>> Reviewed-by: Markus Mayer <[email-masked]>
> >>> Reviewed-by: Matt Porter <[email-masked]>
> >>
> >> Reviewed-by: Christian Daudt <[email-masked]>
> >>
> >> Chris,
> >>  Are you ok with me pulling this patch along with the rest of the
> >> patchset into the bcm tree?
> >>
> >>  Thanks,
> >>    csd
> >
> > Chris,
> >
> > Can you please provide an answer to csd?
> >
> > Thanks,
> > Tim Kryger
> 
> Chris,
> 
> I haven't heard back so this patch has been dropped for 3.14 to allow
> the remaining patches in the series to move forward.   As such, I will
> be re-posting this patch for 3.15.  It is essential for the
> bcm28155_ap board to transition away from fake fixed clocks to the
> real clock driver.  This is because the bcm281xx clock driver does not
> set the CLK_IGNORE_UNUSED flag for the SDHCI peripheral clocks and the
> common clock code will shut them off in late init unless the SDHCI
> driver has asked for them to be enabled.

I just queued Alex's patch for 3.15 that decouples the dependency
between this patch and the bcm kona common clock driver.

Chris: we no longer need this to be taken through arm-soc since removing
the dependency. Could you please take this patch through your tree for
3.15?

Thanks,
Matt